### Method

# Foundry ProcessLauncher spawn_with_flags

#### Declaration [src]

    GSubprocess*
    foundry_process_launcher_spawn_with_flags (
      FoundryProcessLauncher* self,
      GSubprocessFlags flags,
      GError** error
    )

#### Description [src]

Like `foundry_process_launcher_spawn()` but allows specifying the flags for the GSubprocess which may override other settings.

#### Parameters

`flags`

  Type: `GSubprocessFlags`

  No description available.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GSubprocess`

A `GSubprocess` or `NULL` upon error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.